#ifndef AFX_HASHTEXTS_H__34F0640D_BF1B_11D6_BF16_0050BF14F5CC__INCLUDED_
#define AFX_HASHTEXTS_H__34F0640D_BF1B_11D6_BF16_0050BF14F5CC__INCLUDED_

// HashTexts.h : Header-Datei
//

#include "BtnST.h"

#include "ConfigMgr.h"

#include "Algorithms\\SHA1.h"
#include "Algorithms\\MD5.h"
#include "Algorithms\\CRC32.h"
#include "Algorithms\\MD2.h"
#include "Algorithms\\MD4.h"
#include "Algorithms\\GHash.h"
#include "Algorithms\\Gost.h"

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CHashTexts 

class CHashTexts : public CDialog
{
// Konstruktion
public:
	CHashTexts(CWnd* pParent = NULL);   // Standardkonstruktor

	PARAFORMAT m_richPara;
	CHARFORMAT m_richFormat;

// Dialogfelddaten
	//{{AFX_DATA(CHashTexts)
	enum { IDD = IDD_HASH_TEXTS };
	CButtonST	m_btHash;
	CButtonST	m_btCopy;
	CButtonST	m_btPaste;
	CRichEditCtrl	m_sourceWnd;
	CRichEditCtrl	m_infoWnd;
	//}}AFX_DATA


// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CHashTexts)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:

	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(CHashTexts)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaste();
	afx_msg void OnCopyToClip();
	afx_msg void OnGetHash();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio fgt zustzliche Deklarationen unmittelbar vor der vorhergehenden Zeile ein.

#endif // AFX_HASHTEXTS_H__34F0640D_BF1B_11D6_BF16_0050BF14F5CC__INCLUDED_
