#include "stdafx.h"

#include "GHash.h"

CGHash::CGHash()
{
}

CGHash::~CGHash()
{
}

void CGHash::Init()
{
	m_hash3 = 0;
	m_hash5 = 0;
}

void CGHash::Update(const unsigned char *pData, unsigned long uSize)
{
	unsigned long i = 0;

	for(i = 0; i < uSize; i++)
	{
		m_hash3 = (m_hash3 << 3) + m_hash3 + pData[i];
		m_hash5 = (m_hash5 << 5) + m_hash5 + pData[i];
	}
}

void CGHash::FinalToStr(char *strOutput, int nHash)
{
	if(nHash == 3)
	{
		sprintf(strOutput, "%02X%02X%02X%02X",
			m_hash3 >> 24,
			(m_hash3 << 8) >> 24,
			(m_hash3 << 16) >> 24,
			m_hash3 & 0xFF);
	}

	if(nHash == 5)
	{
		sprintf(strOutput, "%02X%02X%02X%02X",
			m_hash5 >> 24,
			(m_hash5 << 8) >> 24,
			(m_hash5 << 16) >> 24,
			m_hash5 & 0xFF);
	}
}
