#ifndef AFX_HASHFILES_H__34F0640C_BF1B_11D6_BF16_0050BF14F5CC__INCLUDED_
#define AFX_HASHFILES_H__34F0640C_BF1B_11D6_BF16_0050BF14F5CC__INCLUDED_

// HashFiles.h : Header-Datei
//

#define MAX_FILE_BUFFER 16000

#include "BtnST.h"

#include "Algorithms\\SHA1.h"
#include "Algorithms\\MD5.h"
#include "Algorithms\\CRC32.h"
#include "Algorithms\\MD2.h"
#include "Algorithms\\MD4.h"
#include "Algorithms\\GHash.h"
#include "Algorithms\\Gost.h"

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CHashFiles 

class CHashFiles : public CDialog
{
// Konstruktion
public:
	CHashFiles(CWnd* pParent = NULL);   // Standardkonstruktor

	PARAFORMAT m_richPara;
	CHARFORMAT m_richFormat;

// Dialogfelddaten
	//{{AFX_DATA(CHashFiles)
	enum { IDD = IDD_HASH_FILES };
	CButtonST	m_btClear;
	CButtonST	m_btCopy;
	CButtonST	m_btHash;
	CListCtrl	m_listFiles;
	CRichEditCtrl	m_infoWnd;
	//}}AFX_DATA

// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CHashFiles)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:

	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(CHashFiles)
	virtual BOOL OnInitDialog();
	afx_msg void OnDropFiles(HDROP hDropInfo);
	afx_msg void OnClearFileList();
	afx_msg void OnHashGo();
	afx_msg void OnCopyToClipboard();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio fgt zustzliche Deklarationen unmittelbar vor der vorhergehenden Zeile ein.

#endif // AFX_HASHFILES_H__34F0640C_BF1B_11D6_BF16_0050BF14F5CC__INCLUDED_
